CraftBukkit for a really old version of Minecraft Beta 1.7.2!

Discussion in 'Bukkit News' started by Dinnerbone, 1, 2011.

Thread Status:
Not open for further replies.
  1. Offline

    Dinnerbone Bukkit Team Member


    Show Spoiler

    Update - July 1, 2011 at 3:01PM EST:
    Minecraft 1.7.2 contains a dupe exploit that will ruin your economy or could create other issues. We strongly recommend waiting for a fix from either Mojang or ourselves before updating.


    We're pleased to announce our fastest update ever, and we've just made our 1.7.2 compatible build of CraftBukkit available to download as a recommended build here.

    For those who are interested, we had a 1.7 update ready for testing within 15 minutes of 1.7 being launched. That's compared to hours or even days we usually take! 1.7.1 was ready within 10 minutes, and 1.7.2 was ready in just under 10.

    We'd like to thank you all for helping us test these out, and rest assured we're trying everything we can to make these even faster for the future!
  2. Offline


    How can I see that? Isn't it because it is marked "Unknown"?
    "Version: git-Bukkit-unknown (MC: 1.7.3)"
    I have all my plugins working and no errors(yet)
  3. Offline


  4. does the piston exploit work one the temp one?
  5. Offline

    Dinnerbone Bukkit Team Member

    No. It was fixed in 1.7.3 and thus is fixed in craftbukkit 1.7.3.
  6. Offline


    I really have no idea, I hope some guys can test that asap on our (private)server. Sorry.

    I guess we have to wait till it is up the main board? Some said that the exploit is still there. Btw, thanks for the great work.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
    Last edited by a moderator: 17, 2016
  7. Offline

    Dinnerbone Bukkit Team Member

    When it's up on, it will be exactly the same as my temporary download link with the exception of having a build number.
  8. Offline


    Yes, I saw that 'unknown'. But there are two versions? Because I have file size differences.

    Newer: 7.710.743
    Temp: 7.709.353

    Nvm, must be the changes at the build number.
  9. Offline


    When is bukkit coming out for 1.7.3 cuz it just says outdated server:( waiting
  10. Offline


    My server is CB953, for MC 1.7.2, and my client is 1.7.3, and I can play flawless.
  11. Offline


    I can confirm that with this build, the dupe bug is fixed!
    bluej100 likes this.
  12. Offline


    Can you be quick to make a 1.7.3 version Thanks :)
  13. Offline


    it say unable to access jar file when i try to run it
  14. Offline


    Redownload it, maybe a CRC error? I was running 1.7.3 Minecraft and CB953 too.
  15. Offline


    Wait if its going to be the exacts same, why
    Then wait... why aren't we getting a recommended build then?...
  16. Offline


  17. Offline


    there is no craftbukkit for 7.3 and as for the piston dupe garbage theres a plug called antipistondupe get it , use it.
  18. There is, the builds on CI are failing though due to lack of a dependency on Artifactory which will be resolved sometime today.

    However in the mean time there's a link posted on Twitter by Dinnerbone and CraftBukkit to a temporary build until CI is back and releasing working builds.

    Temporary build -
  19. Offline


    yar thanks man i still get 80 lines of error per second from worldguard lol WIN !
  20. Offline


    lol, are the dev team gotten stuck walking in codesand? :p
  21. Offline


    NOTE: When Adding this to update your server it may say "Unable to access jar file" rename craftbukkit and add
    To the end of the name so Craftbukkit-0.0.1-SNAPSHOT
  22. Offline


    Depens on your startup line and rename that to yours.
    lemachinbidule likes this.
  23. Offline


    I NEED 1.7.3 ,PLEASE!
  24. Offline


    Then go download it. There are more than enough instructions in this thread.

    If you NEED to wait for an RB (and if you run a server you care about I'd highly recommend it) than what you need to download first is some patience.
  25. Offline


    When will 1.7.3 of minecraft be compatible with bukkit?
  26. Offline


    There is already a 1.7.3 build for Bukkit, but no RB has been released yet. Link to the latest build should be upthread somewhere, if I'm not mistaken. The Twitter feed on the frontpage holds a link too.
  27. Offline


    It is, it was and still. People don't read posts any more or lost patience? All my plugins are working and no complaints.
  28. When will bukkit for 1.7.3 be out ?
  29. Offline


    CB953 is compatable. You would know this if you bothered to read the post above yours.

    In other news, will the eventual RB for 1.7.3 fix the economy exploit?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
    Last edited by a moderator: 17, 2016
  30. Offline


    When will there be a recommended update in the feeds? I have read that Jenkins is down, but any idea when it will be up again. Because McMyAdmin needs the feeds to update, or is there a workaround for this issue?

    Sorry if this question is already answered but didn't see it in previous replies.
Thread Status:
Not open for further replies.

Share This Page